gnutls_pubkey_import_privkey(3)

NAME
gnutls_pubkey_import_privkey - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_privkey(gnutls_pubkey_t key, gnutls_privkey_t pkey, unsigned int usage, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t key
    The public key

gnutls_privkey_t pkey
    The private key

unsigned int usage
    GNUTLS_KEY_* key usage flags.

unsigned int flags
    should be zero

DESCRIPTION
Imports the public key from a private. This function will import the given public key to the abstract gnutls_pubkey_t type.

Note that in certain keys this operation may not be possible, e.g., in other than RSA PKCS11 keys.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/